Bug 72257 - php 4.2.2-9 requires dependancy on glibc 2.2.90-23 at least: GLIBC_2.3 version needed in libc.so.6
php 4.2.2-9 requires dependancy on glibc 2.2.90-23 at least: GLIBC_2.3 versio...
Product: Red Hat Raw Hide
Classification: Retired
Component: php (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-08-22 10:11 EDT by Dries Verachtert
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-23 16:02:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dries Verachtert 2002-08-22 10:11:04 EDT
Description of Problem:     
php-4.2.2-9 which is currently in rawhide, needs a dependancy on the current glibc-2.2.90-23: it   
needs the version GLIBC_2.3 which is not accessible in for example glibc-2.2.90-15   
The exact error message is:  
[root@delirium conf]# sudo /etc/rc.d/init.d/httpd start 
Starting httpd: Syntax error on line 6 of /etc/httpd/conf.d/php.conf: 
Cannot load /etc/httpd/modules/libphp4.so into server: /etc/httpd/modules/libphp4.so: symbol 
realpath, version GLIBC_2.3 not defined in file libc.so.6 with link time reference 
Version-Release number of selected component (if applicable):     
How Reproducible:   
Steps to Reproduce:     
1. Install this php-4.2.2-9, without upgrading glibc 
2. try to restart httpd     
Actual Results:     
no httpd running     
Expected Results:     
a running httpd of course :-)     
Additional Information:
Comment 1 Phil Copeland 2002-08-22 10:38:28 EDT
Umm I'm going to hold off on this one a few days. Theres a naming debate going
on which I'd need to know the answer to first.

Comment 2 Joe Orton 2002-09-23 16:18:20 EDT
This is fixed in php-4.2.2-11, which has a requirement for libc.so.6(GLIBC_2.3).
Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.